/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-02-04
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/exception/FileNotFoundException.hpp>

using ls::standard::core::Exception;
using ls::standard::core::FileNotFoundException;
using std::move;
using std::string;

FileNotFoundException::FileNotFoundException() : Exception("FileNotFoundException")
{}

FileNotFoundException::FileNotFoundException(const string &_message) : FileNotFoundException()
{
  this->_setMessage(_message);
}

FileNotFoundException::~FileNotFoundException() noexcept = default;

const char *FileNotFoundException::what() const noexcept
{
  return this->_getIdentifiedMessage("file not found!");
}
